{
        template: '${tmpl}',
                data: function() {
                        return {
                                typeList: ["订单类型","订单状态"],
                                order: [{
                                        type: 1,
                                        name: '个体套餐服务',
                                        registerCity: '北京市',
                                        time: '2019-12-10 14:13:01',
                                        money: 2500,
                                        num: 1,
                                        state: '已支付'
                                }],
                                orderList:[],
                                dailogTop:[{
                                        type: 0,
                                        tList: ['全部订单','个体户注册','个体增值服务','代理记账','代开发票'],
                                        typeIndex: 0,
                                },{
                                        type: 1,
                                        tList: ['全部状态','待付款','待服务','办理中','已完成','已取消'],
                                        typeIndex: 0,
                                }],
                                index: null,
                        }
                },
        mounted: function() {
                
        },
        created: function() {
                this.orderList = this.order;
        },
        methods: {
                typeTop(i){
                        if(this.index >=0 && this.index == i){
                                this.index = null;
                                return;
                        };
                        this.index = i;
                },
                iteClick(i){
                        this.dailogTop[this.index].typeIndex = i;
                        this.orderList = this.order.filter(item => {
                                if(this.dailogTop[0].typeIndex == 0 && this.dailogTop[1].typeIndex == 0){
                                        return item;
                                }
                                else if(this.dailogTop[0].typeIndex == 0 && this.dailogTop[1].tList[this.dailogTop[1].typeIndex] == item.state){
                                        return item;
                                }
                                else if(this.dailogTop[0].tList[this.dailogTop[0].typeIndex] == item.name && this.dailogTop[1].typeIndex == 0){
                                        return item;
                                }
                                else if(this.dailogTop[0].tList[this.dailogTop[0].typeIndex] == item.name && this.dailogTop[1].tList[this.dailogTop[1].typeIndex] == item.state){
                                        return item;
                                }
                        });
                }
        },
        vname: "gsb-order"
}
